package main

import (
	"dy-admin/internal/pcmserver"
	"math/rand"
	"time"
)

// @title 手机柜管理服务API
// @version 3.0
// @securityDefinitions.apikey ApiKeyAuth
// @in header
// @name Authorization
// @BasePath /
func main() {
	rand.Seed(time.Now().UTC().UnixNano())

	pcmserver.NewApp("pcm").Run()

	//swag init -g cmd/pcm-server/main.go

}
