package model

import (
	"dy-admin/internal/pcmserver/common"
)

type CabinetConfig struct {
	ID          int   `json:"id"`          // config的id
	ManageModel uint8 `json:"manageModel"` // 管理方式  1-强制管理模式  2-人性化管理方式
}

type BusConfig struct {
	common.Model
	Config string `json:"config" gorm:"comment:详细配置"`
	common.ModelTime
}

func (m *BusConfig) TableName() string {
	return "bus_configs"
}
