package request

import "dy-admin/internal/pcmserver/common"

type GridStoreLogSearch struct {
	DepartmentName string `json:"departmentName" form:"departmentName"`
	StaffName      string `json:"staffName" form:"staffName"`
	CabinetName    string `json:"cabinetName" form:"cabinetName"`
	StoreState     string `json:"storeState" form:"storeState"`
	StartTimeStr   string `json:"startTimeStr" form:"startTimeStr"`
	EndTimeStr     string `json:"endTimeStr" form:"endTimeStr"`
	common.YearMonthWeek
	common.PageInfo
}

type GridStoreLogStatistics struct {
	DeptID       int    `json:"deptId" form:"deptId"`
	StoreState   string `json:"storeState" form:"storeState"`
	StartTimeStr string `json:"startTimeStr" form:"startTimeStr"`
	EndTimeStr   string `json:"endTimeStr" form:"endTimeStr"`
	common.YearMonthWeek
}
