package router

import (
	v1 "dy-admin/internal/pcmserver/bus/api/v1"
	"dy-admin/internal/pcmserver/pkg/my_middleware"
	"github.com/gin-gonic/gin"
)

type ConnectLogRouter struct {
}

func (s *GridOpenLogRouter) InitConnectLogRouter(routerGroup *gin.RouterGroup) {
	apiRouter := routerGroup.Group("v1/connect").Use(my_middleware.OperationRecord())
	connectLogApi := v1.BusinessApiGroup.ConnectLogApi
	{
		apiRouter.DELETE("", connectLogApi.DeleteConnectLog)
		apiRouter.GET("list", connectLogApi.GetConnectLogList)
	}
}
