package pcmserver

import (
	"dy-admin/internal/pcmserver/config"
	"dy-admin/internal/pcmserver/global"
	"dy-admin/internal/pcmserver/resource"
	"dy-admin/internal/pcmserver/servers"
)

func Run(cfg *config.Config) error {
	// 初始化系统全局变量
	global.InitGlobalVars(cfg)
	// 初始化数据库表
	resource.InitDB()

	ss, err := servers.CreateServers(cfg)
	if err != nil {

		return err
	}

	return ss.PrepareRun().Run()
}
