package v1

import (
	"dy-admin/pkg/rescode"
	"github.com/gin-gonic/gin"
)

type MemoryInfoApi struct {
}

func (api *MemoryInfoApi) GetCabinets(c *gin.Context) {
	cabinets := memoryInfoService.GetCabinets()

	rescode.WriteSuccessResponse(c, cabinets)
	return
}

func (api *MemoryInfoApi) GetJobs(c *gin.Context) {
	jobs := memoryInfoService.GetJobs()

	rescode.WriteSuccessResponse(c, jobs)
	return
}

func (api *MemoryInfoApi) GetConfig(c *gin.Context) {
	config := memoryInfoService.GetConfig()

	rescode.WriteSuccessResponse(c, config)
	return
}
