package request

import (
	"dy-admin/internal/pcmserver/common"
	"dy-admin/internal/pcmserver/sys/model"
)

type SearchRoleParams struct {
	common.PageInfo
	model.Role
	OrderKey string `json:"orderKey"` // 排序
	Desc     bool   `json:"desc"`     // 排序方式:升序false(默认)|降序true
}

type ExportRoleParams struct {
	model.Role
	OrderKey string `json:"orderKey"` // 排序
	Desc     bool   `json:"desc"`     // 排序方式:升序false(默认)|降序true
}

type RoleDataScopeReq struct {
	RoleId    int    `json:"roleId" binding:"required"`
	DataScope string `json:"dataScope" binding:"required"`
	DeptIds   []int  `json:"deptIds"`
}
